org.apache.ignite.internal.management.api

## Annotation Type Argument

    @Retention(value=RUNTIME)
     @Target(value=FIELD)
    public @interface Argument

Fields marked with this annotation is command arguments.

See Also:
  `Command`, `CommandsRegistry`

### Optional Element Summary

Optional Elements
`String` `description`
`String` `example`
`boolean` `javaStyleName` Required to keep compatibility with existing `control.sh` output.
`boolean` `optional`
`boolean` `withoutPrefix` Required to keep compatibility with existing `control.sh` behaviour.

### Element Detail

#### optional

    public abstract boolean optional

Returns:
  `True` if argument optional, `false` if required.

Default:
  false

#### description

    public abstract String description

Returns:
  Argument description.

Default:
  ""

#### example

    public abstract String example

Returns:
  Argument example. If empty string returned then example will be generated automatically.

Default:
  ""

#### javaStyleName

    public abstract boolean javaStyleName

Required to keep compatibility with existing `control.sh` output.

Returns:
  `True` if paramter name in java style.

Default:
  false

#### withoutPrefix

    public abstract boolean withoutPrefix

Required to keep compatibility with existing `control.sh` behaviour.

Returns:
  `True` if parameter name expected without "--" prefix.

Default:
  false

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023